package com.example.kotlinrecyclerview

import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Toast
import androidx.recyclerview.widget.RecyclerView
import kotlinx.android.synthetic.main.list_item.view.*

class RecyclerViewAdapter(private val items: ArrayList<RecyclerViewItem>) :
    RecyclerView.Adapter<RecyclerViewAdapter.ViewHolder>() {

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        Log.d("TEST", "onCreateViewHolder");
        val inflateView =
            LayoutInflater.from(parent.context).inflate(R.layout.list_item, parent, false)
        return ViewHolder(inflateView)
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        Log.d("TEST", "onBindViewHolder");
        val text = items[position]
        holder.bindViewHolder(text)
    }

    override fun getItemCount() = items.size

    class ViewHolder(v: View) : RecyclerView.ViewHolder(v) {
        private var view: View = v
        fun bindViewHolder(item: RecyclerViewItem) {
            view.nameTv.text = item.name
            view.ageTv.text = item.age.toString()
            view.setOnClickListener {
                Toast.makeText(it.context, "Name is ${item.name}", Toast.LENGTH_SHORT).show()
            }
        }
    }
}